import http from "../utils/http";
let resquest = "/hotel/ihotel-api/ihotel/condition";

// IC卡查询
export function icqueryInfo(params) {
  return http.get(`${resquest}/ic/queryInfo/${params}`);
}

// IC卡查询-详情
export function queryICInfoById(params) {
  return http.get(`${resquest}/ic/queryICInfoById`, params);
}

//  IC卡新增
export function add(params) {
  return http.post(`${resquest}/ic/add`, params);
}
//  IC卡修改
export function update(params) {
  return http.post(`${resquest}/ic/update`, params);
}

// IC卡解绑
export function unbundIC(params) {
  return http.get(`${resquest}/ic/unbundIC`, params);
}

// IC卡导出详情
export function downLoadICInfo(params) {
  return http.get(`${resquest}/downLoadICInfo`, params, "", "blob");
}
